from os.path import exists
from .server import init_server
from shutil import rmtree
from .config import logs_folder

def start_server():
    init_server()


def create_files():
    origin_example = 'ORIGIN_DB={"host": "host", "port":1433 , "user": "user", "pwd": "password", "db_name": "some_db"}\n'
    destiny_example = 'DESTINY_DB={"host": "host", "port":1433 , "user": "user", "pwd": "password", "db_name": "some_db"}\n'

    if not exists(".env"):
        with open(".env", "a") as file:
            file.write(origin_example)
            file.write(destiny_example)
            print("File .env created successfully")

    if not exists("tables.txt"):
        with open("tables.txt", "a") as file:
            file.write(
                "Here you can specify the tables for create the datalake, delete this line :)"
            )
            print("File tables.txt created successfully")


def clean_logs():
    try:
        rmtree(logs_folder)
    except FileNotFoundError:
        print("Logs folder not exists")


if __name__ == "__main__":
    # create_files()
    start_server()
