from flask import Flask, render_template, jsonify
from waitress import serve
from .history_db import HistoryDB

app = Flask(__name__)


history_db = HistoryDB()


@app.route("/")
def historial():
    return render_template("index.html")


@app.route("/historial")
def api_historial():
    datos = history_db.get_history()
    return jsonify(datos)


@app.route("/historial/<file>")
def api_logfiles(file):
    with open(f"arquee/logs/{file}.txt") as file:
        datos = file.readlines()
        return jsonify(datos)


def init_server():
    PORT = 9876
    print("Creating web server ...")
    print(f"Web server on http://localhost:{PORT}")
    serve(app, port=PORT)


if __name__ == "__main__":
    serve(app, port=9876)
